Subject: Regression tracking [WAS: Re: recvmsg sleeping from invalid context]

From: Maciej Rutecki <[email-masked]>
Date: Sun, 22 Jan 2012 20:52:02 +0100

On niedziela, 22 stycznia 2012 o 20:37:28 David Miller wrote:
> From: Maciej Rutecki <[email-masked]>
> Date: Sun, 22 Jan 2012 20:31:51 +0100
> 
> > These entries are using for tracking regressions, for *all* kernel parts,
> > without any exception. I see no reason to treat someone differently. If
> > netdev provides any interface to tracking regressions, then show me it.
> > But then why you do not use one common tool for all kernel?
> 
> This mailing list is the tracking mechanism.
> 
> You can create whatever you want, but I can guarentee that the very
> people who can actually move the bug forward and fix the problem will
> look at it.
> 
> It's been like this for ages, Andrew Morton understands how we wish
> to track bugs, and that we don't want to use bugzilla for that purpose.

OK. But tracking regressions in two (or more) places is nonsense. And this 
puts into question all of my current work, such as how to analyze 
(automatically) the progress of the whole kernel and its quality per each -rc. 
Problem to discussion, but if everyone will do as you wish, it will all work 
went to waste.

I do not say that resolving regression in mailinglist is bad. I think that is 
as good as bug tracker. Bug entry is helps us store information in one places. 
E.g. "Refernces" tag redirect people to discussion in LKML. But I say again: I 
think that LKML is not regression tracker, but helps solve regression.
 
Regards
-- 
Maciej Rutecki
http://www.mrutecki.pl